package thermalmap;
 
import java.util.Date;
import javax.jdo.annotations.IdGeneratorStrategy;
import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;
import com.google.appengine.api.users.User;
 
@PersistenceCapable(identityType = IdentityType.APPLICATION)  //  【1】
public class Thermal {
    @PrimaryKey
    @Persistent(valueStrategy = IdGeneratorStrategy.IDENTITY)
    private Long id;

    @Persistent
    private Long time;
    @Persistent
    private String area;
    @Persistent
    private String devid;
    @Persistent
    private String lat;
    @Persistent
    private String lon;
    @Persistent
    private String alt;
    @Persistent
    private String inc;

    public Thermal() {
    }

    public Long getId() {
        return id;
    }

    public Long getTime() {
        return time;
    }
    public String getArea() {
        return area;
    }
    public String getDevid() {
        return devid;
    }
    public String getLat() {
        return lat;
    }
    public String getLon() {
        return lon;
    }
    public String getAlt() {
        return alt;
    }
    public String getInc() {
        return inc;
    }
 

    public void setTime(Long time) {
        this.time = time;
    }
    public void setArea(String area) {
        this.area = area;
    }
    public void setDevid(String devid) {
        this.devid = devid;
    }
    public void setLat(String lat) {
        this.lat = lat;
    }
    public void setLon(String lon) {
        this.lon = lon;
    }
    public void setAlt(String alt) {
        this.alt = alt;
    }
    public void setInc(String inc) {
        this.inc = inc;
    }
}